/*	mija 2009	clock
		usage:
		1. declare Clock_t clock
		2. define TIKOFSEC - tiks per sec in any timers interrupts proderude
		3. periodicaly polling ProsecClock(), for precisions 1 of TIKOFSEC 
	
	ver.: 0.0 - start	
*/


#ifndef __clock_h_included__
#define __clock_h_included__

#define TIKSOFSEC	125

typedef struct Clockt{
    uint8_t   hour;
    uint8_t   min;
    uint8_t   sec;
}Clockt_t;

void ProcesClock(uint8_t *tik,Clockt_t *clock);
void ClockInit(uint8_t hour,uint8_t min,uint8_t sec,Clockt_t *clock);

#endif /* __clock_h_included__ */
